using System.ComponentModel;

namespace RB_MES_API.Models.Pangu
{
    /// <summary>
    /// 工单物料需求,MES向ERP查询
    /// </summary>
    public class WPLAN_MN
    {
        [DisplayName("工单需求编码")]
        public string WPLAN_MO { get; set; }
        [DisplayName("工单号")]
        public string ERP_MO_ID { get; set; }
        [DisplayName("工单行号")]
        public string MO_SEQ { get; set; }
        [DisplayName("成品编码")]
        public string PROD_ID { get; set; }
        [DisplayName("计划数量")]
        public string P_QTY { get; set; }
        [DisplayName("物料编码")]
        public string MTRL_ID { get; set; }
        [DisplayName("是否主料")]
        public string IS_MAIN { get; set; }
        [DisplayName("主料编码")]
        public string MAIN_ID { get; set; }
        [DisplayName("用量")]
        public string DOSAGE { get; set; }
        [DisplayName("净需求数量")]
        public string NN_QTY { get; set; }
        [DisplayName("实际需求数量")]
        public string TN_QTY { get; set; }
        [DisplayName("行号")]
        public string SEQ { get; set; }
        [DisplayName("点位信息")]
        public string POINT_STR { get; set; }
        [DisplayName("是否返还件")]
        public string IS_BACK { get; set; }
    }
}
